# Get account balances

Endpoint: GET /v1/domains/{domainId}/accounts/{accountId}/balances
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `accountId` (string, required)

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Ticker id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "tickerId", "totalAmount", "reservedAmount", "quarantinedAmount", "lastUpdatedAt"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `ticker.id` (array)
    Return balances of tickers with this id for the account.
    Example: ["4e066dff-e2aa-45ec-9398-1140e9aa98d9","f0390b50-1abd-47df-9580-b69a1298226a"]

  - `ticker.name` (array)
    Return balances of tickers with this name for the account.
    Example: ["mati","nft"]

  - `ticker.symbol` (array)
    Return balances of tickers with this symbol for the account.
    Example: ["btc","doge"]

  - `ticker.ledgerId` (array)
    Return balances matching given ledger ids.
    Example: ["bitcoin","bitcoin-testnet"]

  - `ticker.validationStatus` (string)
    Return transfers with ticker matching the requested validation status
    Enum: "Validated", "NonValidated"

  - `ticker.lock` (array)
    Return transfers with ticker matching given lock status.
    Enum: "Unlocked", "Locked", "Archived"

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.accountReference` (object, required)

  - `items.accountReference.id` (string, required)

  - `items.accountReference.domainId` (string, required)

  - `items.tickerId` (string, required)

  - `items.totalAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.reservedAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.quarantinedAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.lastUpdatedAt` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


